View Issue Details

IDProjectCategoryView StatusLast Update
0004140FreeCADBugpublic2019-12-08 22:47
ReporterDeepSOIC Assigned Torealthunder  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Fixed in Version0.19 
Summary0004140: Crash on select-all (Ctrl+A) in model tree
Descriptionhttps://forum.freecadweb.org/viewtopic.php?f=3&t=39523
Steps To Reproduce1. new doc
2. add two Part primitives
3. Union them
4. expand Union in tree
5. Ctrl+A
Additional InformationOS: Windows 10 (10.0)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.18234 (Git)
Build type: Release
Branch: master
Hash: 3af5d97e9b2a60823815f662aba25422c4bc45bb
Python version: 3.6.8
Qt version: 5.12.1
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: Russian/Russia (ru_RU)
TagsNo tags attached.
FreeCAD Information

Activities

There are no notes attached to this issue.

Related Changesets

FreeCAD: master 50f4c012

2019-11-14 03:57:32

realthunder


Committer: wmayer Details Diff
Gui: change tree view select all behavior

Only select all objects of the current document
Affected Issues
0004140
mod - src/Gui/Tree.cpp Diff File
mod - src/Gui/Tree.h Diff File

Issue History

Date Modified Username Field Change
2019-09-21 17:37 DeepSOIC New Issue
2019-12-08 22:46 wmayer Changeset attached => FreeCAD master 50f4c012
2019-12-08 22:47 wmayer Assigned To => realthunder
2019-12-08 22:47 wmayer Status new => closed
2019-12-08 22:47 wmayer Resolution open => fixed
2019-12-08 22:47 wmayer Fixed in Version => 0.19